# AUTOGENERATED! DO NOT EDIT! File to edit: ../nbs/00_cons.ipynb.

# %% auto 0
__all__ = ['DEFAULT_SPEC_FILENAME', 'DEFAULT_SPEC_FILE', 'HEADER_SEP', 'HEADER_LEN', 'HEADER_LINE', 'DEP_SEP',
           'DEFAULT_ACCELERATORS', 'DEFAULT_STYLE', 'FUCHSIA', 'BLUE_NIGHT', 'GOLDEN_SHINE', 'GREEN_LEAF', 'RED_VELVET',
           'default_env']

# %% ../nbs/00_cons.ipynb 3
from importlib_resources import files
from questionary import Style

# %% ../nbs/00_cons.ipynb 4
def default_env(name: str = 'litenv', resource_path: str = 'configs'):
     import litenv
     file = files(litenv).joinpath(resource_path, name).with_suffix('.yml')     
     return file

# %% ../nbs/00_cons.ipynb 5
DEFAULT_SPEC_FILENAME = '../data/litenv.yml'
DEFAULT_SPEC_FILE = str(default_env(name='litenv', resource_path='configs'))

HEADER_SEP = '-'
HEADER_LEN = 80
HEADER_LINE = HEADER_SEP * HEADER_LEN

DEP_SEP = '::'

# %% ../nbs/00_cons.ipynb 6
DEFAULT_ACCELERATORS = ['mps', 'cpu', 'cuda']

# %% ../nbs/00_cons.ipynb 7
DEFAULT_STYLE = Style([
    ('qmark', 'fg:#673ab7 bold'),       # token in front of the question
    ('question', 'bold'),               # question text
    ('answer', 'fg:#f44336 bold'),      # submitted answer text behind the question
    ('pointer', 'fg:#673ab7 bold'),     # pointer used in select and checkbox prompts
    ('highlighted', 'fg:#673ab7 bold'), # pointed-at choice in select and checkbox prompts
    ('selected', 'fg:#cc5454'),         # style for a selected item of a checkbox
    ('separator', 'fg:#cc5454'),        # separator in lists
    ('instruction', ''),                # user instructions for select, rawselect, checkbox
    ('text', ''),                       # plain text
    ('disabled', 'fg:#858585 italic')   # disabled choices for select and checkbox prompts
])

# %% ../nbs/00_cons.ipynb 8
FUCHSIA = "fuchsia"
BLUE_NIGHT = "blue_night"
GOLDEN_SHINE = "golden_shine"
GREEN_LEAF = "green_leaf"
RED_VELVET = "red_velvet"
